Skip to main content
GET
List a campaign's leads

Authorizations

X-API-Key
string
header
required

Path Parameters

campaign_id
integer
required

Query Parameters

status
string

Contact status: pending, sent, replied, bounced, failed.

stage
string

Reply stage key, or 'positive' for all positive stages. Stages: interested, meeting_request, not_interested, objection, pricing_question, more_info_needed, timing_issue, wrong_person, out_of_office, automated, unsubscribe, unclassified.

q
string

Substring search on email and lead data.

size
integer

Page size, 10-200. Default 50.

page
integer

Page number, from 1. Default 1.

Response

200

JSON {leads:[{id, email, name, company, title, status, stage:{key,label,tone,positive}, seq_step, sent_at, next_at, mailbox, has_thread}], total, page, pages, size, counts:{: n}, all}.